Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.persistence
Interface PortalCustomizationManager

All Superinterfaces
  javax.ejb.EJBObject, IBookInstanceManager, IDesktopInstanceManager, IPageInstanceManager, IPortletInstanceManager, Remote

    public interface PortalCustomizationManager

extends IPortletInstanceManager, IPageInstanceManager, IBookInstanceManager, IDesktopInstanceManager, javax.ejb.EJBObject

Please refer to the interfaces for javadoc.

Method Summary

Methods inherited from interface com.bea.netuix.application.manager.IPortletInstanceManager
`createSuccessor, createSuccessor, deletePortletInstance, getAllSuccessors, getNonPlacedPortletInstanceIds, getPortletInstance, getPortletView, getPortletView, getPredecessor, getSuccessors, revertPortletInstance, revertPortletSuccessors, revertUserPortletInstance, updatePortletInstance, updatePortletInstance`

Methods inherited from interface com.bea.netuix.application.manager.IPageInstanceManager
`addPlaceable, getPageInstance, getPageView, getPageView, getShallowPageView, getShallowPageView, movePlaceable, movePortlet, removePlaceable, updatePageInstance`

Methods inherited from interface com.bea.netuix.application.manager.IBookInstanceManager
`addNavigable, getBookInstance, getBookView, getBookView, getShallowBookView, getShallowBookView, moveNavigable, removeNavigable, setDefaultNavigable, updateBookInstance`

Methods inherited from interface com.bea.netuix.application.manager.IDesktopInstanceManager
`deleteDesktopCustomizations, deleteDesktopCustomizations, getCustomizedDesktopView, getDesktopInstance, getDesktopInstance, getDesktopView, getDesktopView, getShallowDesktopView, updateDesktopInstance`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.